GDCM: gdcm::network::ULBasicCallback Class Reference

GDCM 3.2.8

Public Member Functions | List of all members
gdcm::network::ULBasicCallback Class Reference

ULBasicCallback. More...

`#include <gdcmULBasicCallback.h>`

Inheritance diagram for gdcm::network::ULBasicCallback:
[legend]
Collaboration diagram for gdcm::network::ULBasicCallback:
[legend]

## Public Member Functions
| ULBasicCallback ()=default
| ~ULBasicCallback () override=default
std::vector< DataSet > const & | GetDataSets () const
std::vector< DataSet > const & | GetResponses () const
void | HandleDataSet (const DataSet &inDataSet) override
void | HandleResponse (const DataSet &inDataSet) override
Public Member Functions inherited from gdcm::network::ULConnectionCallback
| ULConnectionCallback ()
virtual | ~ULConnectionCallback ()=default
bool | DataSetHandles () const
void | ResetHandledDataSet ()
void | SetImplicitFlag (const bool imp)

## Additional Inherited Members
Protected Member Functions inherited from gdcm::network::ULConnectionCallback
void | DataSetHandled ()
Protected Attributes inherited from gdcm::network::ULConnectionCallback
bool | mImplicit

## Detailed Description

ULBasicCallback.

This is the most basic of callbacks for how the ULConnectionManager handles incoming datasets. DataSets are just concatenated to the mDataSets vector, and the result can be pulled out of the vector by later code. Alternatives to this method include progress updates, saving to disk, etc. This class is NOT THREAD SAFE. Access the dataset vector after the entire set of datasets has been returned by the ULConnectionManager.

## Constructor & Destructor Documentation

## ◆ ULBasicCallback()

gdcm::network::ULBasicCallback::ULBasicCallback | ( |  | ) |
| default

## ◆ ~ULBasicCallback()

gdcm::network::ULBasicCallback::~ULBasicCallback | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ GetDataSets()

std::vector< DataSet > const & gdcm::network::ULBasicCallback::GetDataSets | ( |  | ) | const

## ◆ GetResponses()

std::vector< DataSet > const & gdcm::network::ULBasicCallback::GetResponses | ( |  | ) | const

## ◆ HandleDataSet()

void gdcm::network::ULBasicCallback::HandleDataSet | ( | const DataSet & | inDataSet | ) |
| overridevirtual

Implements gdcm::network::ULConnectionCallback.

## ◆ HandleResponse()

void gdcm::network::ULBasicCallback::HandleResponse | ( | const DataSet & | inDataSet | ) |
| overridevirtual

Implements gdcm::network::ULConnectionCallback.

The documentation for this class was generated from the following file:

- gdcmULBasicCallback.h